Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	syslog-ng is a a syslogd replacement
Name:      	syslog-ng
Version:   	3.0.8
Release:   	1
Provides:	syslog-ng
License: 	GNU/GPL
URL:		http://www.balabit.com/products/syslog_ng/
Group:     	System/Base
Source0: 	syslog-ng_%{version}.tar.gz
Source1:	syslog-ng.conf
Source2:	syslog-ng.init
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires(pre):	chkconfig

BuildRequires: which
BuildRequires: flex-devel

#Automatically resolved build dependencies
BuildRequires: eventlog-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libcap-devel
BuildRequires: libnet-devel
BuildRequires: openssl-devel
BuildRequires: pcre-devel
BuildRequires: tcp_wrappers-devel
BuildRequires: zlib-devel

%description
syslog-ng is a a syslogd replacement

%post 
/sbin/chkconfig --add syslog-ng
/sbin/chkconfig syslog-ng on
# Restart syslog-ng if we are upgrading... 
if test $1 -gt 1; then
	/etc/rc.d/init.d/syslog-ng stop 1>/dev/null 2>&1
	/etc/rc.d/init.d/syslog-ng start 1>/dev/null 2>&1
fi

%preun
if test $1 = 0; then
	/etc/rc.d/init.d/syslog-ng stop 1>/dev/null 2>&1
	/sbin/chkconfig --del syslog-ng
fi                                                                                                                          

%prep
%setup -qn syslog-ng-%{version}

%build
./configure --prefix=%_prefix \
	    --sysconfdir=%_sysconfdir \
	    --mandir=%_mandir \
	    --localstatedir=%{_localstatedir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT/etc/syslog-ng
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/syslog-ng
install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/syslog-ng

%files
%defattr(-,root,root)
%{_sysconfdir}/rc.d/init.d/syslog-ng
%{_sysconfdir}/syslog-ng/syslog-ng.conf
%{_bindir}/loggen
%{_sbindir}/syslog-ng
%{_mandir}/man5/syslog-ng.conf.5.gz
%{_mandir}/man8/syslog-ng.8.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.0.8-1
- Version update
* Wed Jul 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.0.7-1
- Version update
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.8-1
- Version update
* Fri Dec 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.6-1
- Version update
* Sat May 26 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.4-1
- Version update
- fixed initscript (fixes empty logfiles-bug)
* Mon Apr 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.3-1
- Version update
* Fri May 27 2005 Christian Metzen <metzench@ccux-linux.de> 1.6.8-1
- Version update to 1.6.8
* Thu Mar 30 2005 Christian Metzen <metzench@ccux-linux.de> 1.6.6-1
- Version update to 1.6.6
* Wed Sep 24 2004 Christian Metzen <metzench@ccux-linux.de> 1.6.1-1
- Initial Release
